当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 1 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : [问题]求助!!ati+xgl+beryl
帖子发表于 : 2007-05-22 16:28 

注册: 2007-05-18 23:27
帖子: 4
送出感谢: 0 次
接收感谢: 0 次
我的显卡:微星 ati x700 黄金版
cpu:amd 300+
主板:微星k8n nf4
照着[分享]6.10/7.04下的ati官方驱动安装07/05/21更新。2中方法做了很多此了,都不成功,今天下午刚刚重新装了一次ubuntu 7.04。直接照着第2种方法再次尝试,仍然不行~~~
代码如下:
kevin@kevin-linux:~$ sudo apt-get autoremove --purge xorg-driver-fglrx
Password:
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
Reading state information... 完成
软件包 xorg-driver-fglrx 还未安装,因而不会被卸载
共升级了 0 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 0 个软件未被升级。
kevin@kevin-linux:~$ sudo apt-get update
获取:1 http://security.ubuntu.com feisty-security Release.gpg [191B]
忽略 http://security.ubuntu.com feisty-security/main Translation-zh_CN
忽略 http://security.ubuntu.com feisty-security/restricted Translation-zh_CN
获取:2 http://cn.archive.ubuntu.com feisty Release.gpg [191B]
忽略 http://cn.archive.ubuntu.com feisty/main Translation-zh_CN
忽略 http://security.ubuntu.com feisty-security/universe Translation-zh_CN
忽略 http://security.ubuntu.com feisty-security/multiverse Translation-zh_CN
忽略 http://cn.archive.ubuntu.com feisty/restricted Translation-zh_CN
获取:3 http://cn.archive.ubuntu.com feisty/universe Translation-zh_CN [27.5kB]
命中 http://security.ubuntu.com feisty-security Release
命中 http://security.ubuntu.com feisty-security/main Packages
命中 http://security.ubuntu.com feisty-security/restricted Packages
命中 http://security.ubuntu.com feisty-security/main Sources
命中 http://security.ubuntu.com feisty-security/restricted Sources
命中 http://security.ubuntu.com feisty-security/universe Packages
命中 http://security.ubuntu.com feisty-security/universe Sources
命中 http://security.ubuntu.com feisty-security/multiverse Packages
命中 http://security.ubuntu.com feisty-security/multiverse Sources
获取:4 http://cn.archive.ubuntu.com feisty/multiverse Translation-zh_CN [541B]
获取:5 http://cn.archive.ubuntu.com feisty-updates Release.gpg [191B]
忽略 http://cn.archive.ubuntu.com feisty-updates/main Translation-zh_CN
忽略 http://cn.archive.ubuntu.com feisty-updates/restricted Translation-zh_CN
命中 http://cn.archive.ubuntu.com feisty Release
命中 http://cn.archive.ubuntu.com feisty-updates Release
命中 http://cn.archive.ubuntu.com feisty/main Packages
命中 http://cn.archive.ubuntu.com feisty/restricted Packages
命中 http://cn.archive.ubuntu.com feisty/main Sources
命中 http://cn.archive.ubuntu.com feisty/restricted Sources
命中 http://cn.archive.ubuntu.com feisty/universe Packages
命中 http://cn.archive.ubuntu.com feisty/universe Sources
命中 http://cn.archive.ubuntu.com feisty/multiverse Packages
命中 http://cn.archive.ubuntu.com feisty/multiverse Sources
命中 http://cn.archive.ubuntu.com feisty-updates/main Packages
命中 http://cn.archive.ubuntu.com feisty-updates/restricted Packages
命中 http://cn.archive.ubuntu.com feisty-updates/main Sources
命中 http://cn.archive.ubuntu.com feisty-updates/restricted Sources
下载 28.1kB,耗时 4s (6275B/s)
正在读取软件包列表... 完成
kevin@kevin-linux:~$ sudo apt-get install module-assistant build-essential fakeroot dh-make debhelper debconf libstdc++5 linux-headers-$(uname -r)
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
Reading state information... 完成
debconf 已经是最新的版本了。
libstdc++5 已经是最新的版本了。
linux-headers-2.6.20-15-generic 已经是最新的版本了。
将会安装下列额外的软件包:
dpkg-dev g++ g++-4.1 gettext html2text intltool-debian libc6-dev
libstdc++6-4.1-dev linux-libc-dev po-debconf
建议安装的软件包:
debian-keyring gcc-4.1-doc lib64stdc++6 cvs gettext-doc glibc-doc
manpages-dev libstdc++6-4.1-doc
推荐安装的软件包:
libmail-sendmail-perl libcompress-zlib-perl
下列【新】软件包将被安装:
build-essential debhelper dh-make dpkg-dev fakeroot g++ g++-4.1 gettext
html2text intltool-debian libc6-dev libstdc++6-4.1-dev linux-libc-dev
module-assistant po-debconf
共升级了 0 个软件包,新安装了 15 个软件包,要卸载 0 个软件包,有 0 个软件未被升级。
需要下载 10.6MB 的软件包。
解压缩后会消耗掉 43.5MB 的额外空间。
您希望继续执行吗?[Y/n]y
获取:1 http://cn.archive.ubuntu.com feisty/main linux-libc-dev 2.6.20-15.27 [664kB]
获取:2 http://cn.archive.ubuntu.com feisty/main libc6-dev 2.5-0ubuntu14 [3018kB]
获取:3 http://cn.archive.ubuntu.com feisty/main libstdc++6-4.1-dev 4.1.2-0ubuntu4 [1632kB]
获取:4 http://cn.archive.ubuntu.com feisty/main g++-4.1 4.1.2-0ubuntu4 [2581kB]
获取:5 http://cn.archive.ubuntu.com feisty/main g++ 4:4.1.2-1ubuntu1 [1428B]
获取:6 http://cn.archive.ubuntu.com feisty/main dpkg-dev 1.13.24ubuntu6 [147kB]
获取:7 http://cn.archive.ubuntu.com feisty/main build-essential 11.3 [6974B]
获取:8 http://cn.archive.ubuntu.com feisty/main html2text 1.3.2a-3 [95.5kB]
获取:9 http://cn.archive.ubuntu.com feisty/main gettext 0.16.1-1ubuntu2 [1551kB]
获取:10 http://cn.archive.ubuntu.com feisty/main intltool-debian 0.35.0+20060710.1 [31.6kB]
获取:11 http://cn.archive.ubuntu.com feisty/main po-debconf 1.0.8 [111kB]
获取:12 http://cn.archive.ubuntu.com feisty/main debhelper 5.0.42ubuntu1 [514kB]
获取:13 http://cn.archive.ubuntu.com feisty/main dh-make 0.42 [33.6kB]
获取:14 http://cn.archive.ubuntu.com feisty/main fakeroot 1.5.10ubuntu2 [99.4kB]
获取:15 http://cn.archive.ubuntu.com feisty/universe module-assistant 0.10.10 [88.5kB]
下载 10.6MB,耗时 6m52s (25.6kB/s)
选中了曾被取消选择的软件包 linux-libc-dev。
(正在读取数据库 ... 系统当前总共安装有 91006 个文件和目录。)
正在解压缩 linux-libc-dev (从 .../linux-libc-dev_2.6.20-15.27_i386.deb) ...
选中了曾被取消选择的软件包 libc6-dev。
正在解压缩 libc6-dev (从 .../libc6-dev_2.5-0ubuntu14_i386.deb) ...
选中了曾被取消选择的软件包 libstdc++6-4.1-dev。
正在解压缩 libstdc++6-4.1-dev (从 .../libstdc++6-4.1-dev_4.1.2-0ubuntu4_i386.deb) ...
选中了曾被取消选择的软件包 g++-4.1。
正在解压缩 g++-4.1 (从 .../g++-4.1_4.1.2-0ubuntu4_i386.deb) ...
选中了曾被取消选择的软件包 g++。
正在解压缩 g++ (从 .../g++_4%3a4.1.2-1ubuntu1_i386.deb) ...
选中了曾被取消选择的软件包 dpkg-dev。
正在解压缩 dpkg-dev (从 .../dpkg-dev_1.13.24ubuntu6_all.deb) ...
选中了曾被取消选择的软件包 build-essential。
正在解压缩 build-essential (从 .../build-essential_11.3_i386.deb) ...
选中了曾被取消选择的软件包 html2text。
正在解压缩 html2text (从 .../html2text_1.3.2a-3_i386.deb) ...
选中了曾被取消选择的软件包 gettext。
正在解压缩 gettext (从 .../gettext_0.16.1-1ubuntu2_i386.deb) ...
选中了曾被取消选择的软件包 intltool-debian。
正在解压缩 intltool-debian (从 .../intltool-debian_0.35.0+20060710.1_all.deb) ...
选中了曾被取消选择的软件包 po-debconf。
正在解压缩 po-debconf (从 .../po-debconf_1.0.8_all.deb) ...
选中了曾被取消选择的软件包 debhelper。
正在解压缩 debhelper (从 .../debhelper_5.0.42ubuntu1_all.deb) ...
选中了曾被取消选择的软件包 dh-make。
正在解压缩 dh-make (从 .../archives/dh-make_0.42_all.deb) ...
选中了曾被取消选择的软件包 fakeroot。
正在解压缩 fakeroot (从 .../fakeroot_1.5.10ubuntu2_i386.deb) ...
选中了曾被取消选择的软件包 module-assistant。
正在解压缩 module-assistant (从 .../module-assistant_0.10.10_all.deb) ...
正在设置 linux-libc-dev (2.6.20-15.27) ...
正在设置 libc6-dev (2.5-0ubuntu14) ...
正在设置 dpkg-dev (1.13.24ubuntu6) ...
正在设置 html2text (1.3.2a-3) ...

正在设置 gettext (0.16.1-1ubuntu2) ...

正在设置 intltool-debian (0.35.0+20060710.1) ...
正在设置 po-debconf (1.0.8) ...
正在设置 debhelper (5.0.42ubuntu1) ...
正在设置 dh-make (0.42) ...
正在设置 fakeroot (1.5.10ubuntu2) ...

正在设置 module-assistant (0.10.10) ...
正在设置 libstdc++6-4.1-dev (4.1.2-0ubuntu4) ...
正在设置 g++-4.1 (4.1.2-0ubuntu4) ...
正在设置 g++ (4.1.2-1ubuntu1) ...

正在设置 build-essential (11.3) ...
kevin@kevin-linux:~$ sh ati-driver-installer-8.36.5-x86.x86_64.run --buildpkg Ubuntu/feisty
Created directory fglrx-install.A12339
Verifying archive integrity... All good.
Uncompressing ATI Proprietary Linux Driver-8.36.5.......................................................................................................................................................................................................................................................................
Generating package: Ubuntu/feisty
Package /home/kevin/xorg-driver-fglrx_8.36.5-1_i386.deb has been successfully generated
Package /home/kevin/xorg-driver-fglrx-dev_8.36.5-1_i386.deb has been successfully generated
Package /home/kevin/fglrx-kernel-source_8.36.5-1_i386.deb has been successfully generated
Package /home/kevin/fglrx-amdcccle_8.36.5-1_i386.deb has been successfully generated
Removing temporary directory: fglrx-install.A12339
kevin@kevin-linux:~$ sudo gedit /etc/default/linux-restricted-modules-common
Launching a SCIM daemon with Socket FrontEnd...
Loading simple Config module ...
Creating backend ...
Loading socket FrontEnd module ...
Starting SCIM as daemon ...
GTK Panel of SCIM 1.4.4

kevin@kevin-linux:~$ sudo dpkg -i xorg-driver-fglrx_*.deb fglrx-kernel-source_*.deb fglrx-amdcccle_*.deb
选中了曾被取消选择的软件包 xorg-driver-fglrx。
(正在读取数据库 ... 系统当前总共安装有 93410 个文件和目录。)
正在解压缩 xorg-driver-fglrx (从 xorg-driver-fglrx_8.36.5-1_i386.deb) ...
选中了曾被取消选择的软件包 fglrx-kernel-source。
正在解压缩 fglrx-kernel-source (从 fglrx-kernel-source_8.36.5-1_i386.deb) ...
选中了曾被取消选择的软件包 fglrx-amdcccle。
正在解压缩 fglrx-amdcccle (从 fglrx-amdcccle_8.36.5-1_i386.deb) ...
正在设置 xorg-driver-fglrx (8.36.5-1) ...
Starting atieventsd: done.

正在设置 fglrx-kernel-source (8.36.5-1) ...
正在设置 fglrx-amdcccle (8.36.5-1) ...

kevin@kevin-linux:~$ sudo rm /usr/src/fglrx-kernel*.deb
rm: 无法删除‘/usr/src/fglrx-kernel*.deb’: No such file or directory

kevin@kevin-linux:~$ sudo module-assistant prepare
Getting source for kernel version: 2.6.20-15-generic
Kernel headers available in /lib/modules/2.6.20-15-generic/build
Creating symlink...
apt-get install build-essential
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
Reading state information... 完成
build-essential 已经是最新的版本了。
共升级了 0 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 0 个软件未被升级。

Done!
kevin@kevin-linux:~$ sudo module-assistant update

Updated infos about 86 packages
kevin@kevin-linux:~$ sudo module-assistant build fglrx
Extracting the package tarball, /usr/src/fglrx.tar.bz2, please wait...
kevin@kevin-linux:~$ cd /usr/src
kevin@kevin-linux:/usr/src$ sudo dpkg -i fglrx-kernel-*
选中了曾被取消选择的软件包 fglrx-kernel-2.6.20-15-generic。
(正在读取数据库 ... 系统当前总共安装有 93560 个文件和目录。)
正在解压缩 fglrx-kernel-2.6.20-15-generic (从 fglrx-kernel-2.6.20-15-generic_8.36.5-1+2.6.20-15.27_i386.deb) ...
正在设置 fglrx-kernel-2.6.20-15-generic (8.36.5-1+2.6.20-15.27) ...
WARNING: Module /lib/modules/2.6.20-15-generic/kernel/drivers/hwmon/lm63.ko is not an elf object
WARNING: Module /lib/modules/2.6.20-15-generic/kernel/drivers/hwmon/lm75.ko is not an elf object
WARNING: Module /lib/modules/2.6.20-15-generic/kernel/drivers/hwmon/lm70.ko is not an elf object
WARNING: Module /lib/modules/2.6.20-15-generic/kernel/drivers/hwmon/k8temp.ko is not an elf object
su
kevin@kevin-linux:/usr/src$ sudo module-assistant prepare
Getting source for kernel version: 2.6.20-15-generic
Kernel headers available in /lib/modules/2.6.20-15-generic/build
apt-get install build-essential
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
Reading state information... 完成
build-essential 已经是最新的版本了。
共升级了 0 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 0 个软件未被升级。

Done!
kevin@kevin-linux:/usr/src$ sudo module-assistant update

Updated infos about 86 packages
kevin@kevin-linux:/usr/src$ sudo module-assistant build fglrx
Extracting the package tarball, /usr/src/fglrx.tar.bz2, please wait...
kevin@kevin-linux:/usr/src$ sudo dpkg -i fglrx-kernel-*
(正在读取数据库 ... 系统当前总共安装有 93564 个文件和目录。)
正预备替换 fglrx-kernel-2.6.20-15-generic 8.36.5-1+2.6.20-15.27 (使用 fglrx-kernel-2.6.20-15-generic_8.36.5-1+2.6.20-15.27_i386.deb) ...
正在解压缩将用于更替的包文件 fglrx-kernel-2.6.20-15-generic ...
WARNING: Module /lib/modules/2.6.20-15-generic/kernel/drivers/hwmon/lm63.ko is not an elf object
WARNING: Module /lib/modules/2.6.20-15-generic/kernel/drivers/hwmon/lm75.ko is not an elf object
WARNING: Module /lib/modules/2.6.20-15-generic/kernel/drivers/hwmon/lm70.ko is not an elf object
WARNING: Module /lib/modules/2.6.20-15-generic/kernel/drivers/hwmon/k8temp.ko is not an elf object
正在设置 fglrx-kernel-2.6.20-15-generic (8.36.5-1+2.6.20-15.27) ...
WARNING: Module /lib/modules/2.6.20-15-generic/kernel/drivers/hwmon/lm63.ko is not an elf object
WARNING: Module /lib/modules/2.6.20-15-generic/kernel/drivers/hwmon/lm75.ko is not an elf object
WARNING: Module /lib/modules/2.6.20-15-generic/kernel/drivers/hwmon/lm70.ko is not an elf object
WARNING: Module /lib/modules/2.6.20-15-generic/kernel/drivers/hwmon/k8temp.ko is not an elf object

照着zhuqin_83兄的指点,又编译了几次,仍然不行~!还是这样
求救!!!!!!!求救~~!!!!!
希望高手指点一下,给个详细的过程和解决办法~~!


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 1 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:Yahoo [Bot] 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译